=== debian/control ===
Source: ros-noetic-hri-rviz
Section: misc
Priority: optional
Maintainer: Séverin Lemaignan <severin.lemaignan@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, ros-noetic-catkin, ros-noetic-cv-bridge, ros-noetic-hri, ros-noetic-hri-msgs, ros-noetic-roscpp, ros-noetic-rviz
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-hri-rviz
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5core5a, libqt5gui5, libqt5widgets5, ros-noetic-cv-bridge, ros-noetic-hri, ros-noetic-hri-msgs, ros-noetic-roscpp, ros-noetic-rviz
Description: This package contains several rviz plugins to visualize HRI-related topics (like face/body region of interests, 3D skeletons...)
