## ros-noetic-hri-rviz 0.4.1

=== debian/changelog ===
ros-noetic-hri-rviz (0.4.1-1focal) focal; urgency=high

  * changed RoI type to normalized one
  * Contributors: Luka Juricic

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Tue, 04 Jul 2023 22:00:00 -0000

ros-noetic-hri-rviz (0.4.0-1focal) focal; urgency=high

  * Merge branch 'skeletons' into 'main'
    skeleton extension for Humans plugin
    See merge request ros4hri/hri_rviz!5
  * joint visualization as circles
  * Optimized iteration over bodies for skeleton representation
  * Introducing skeleton visualization
    It is now possible to visualize 2D skeletons using the humans
    rviz plugin.
  * add LICENSE
  * Contributors: Séverin Lemaignan, lorenzoferrini

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Tue, 17 Jan 2023 23:00:00 -0000

ros-noetic-hri-rviz (0.3.1-1focal) focal; urgency=high

  * set license to BSD
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Mon, 11 Jul 2022 22:00:00 -0000

ros-noetic-hri-rviz (0.3.0-1focal) focal; urgency=high

  * Added PAL Robotics copyright
  * Refactored skeleton frames testing
    The new version takes a frame name, verifies if it has more than
    the minimum number of characters for a skeleton frame, checks
    if the name without the last 5 characters belongs to the skeleton
    ROS4HRI naming convention and if it belongs to a currently tracked
    body.
  * bodies -> skeletons
    Bodies frames are now referenced as skeleton frame, for clarity.
  * Redefined class name for the plugin
    To avoid confusion with the already existing TF plugin, the
    plugin will now be visualized as TF (HRI) in rviz
  * First complete hri_tf version
  * Fixed skeletons appearing when plugin was disabled
  * Contributors: Séverin Lemaignan, lorenzoferrini

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Mon, 11 Jul 2022 22:00:00 -0000

ros-noetic-hri-rviz (0.2.0-1focal) focal; urgency=high

  * Facial landmarks visualization
  * raw pointers to std::share_ptr
  * add basic README
  * Contributors: Séverin Lemaignan, lorenzoferrini

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Sat, 05 Mar 2022 23:00:00 -0000

ros-noetic-hri-rviz (0.1.3-1focal) focal; urgency=high

  * update to libhri 0.2.3
  * Plugin renaming: Faces --> Humans
  * Contributors: Séverin Lemaignan, lorenzoferrini

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Thu, 20 Jan 2022 23:00:00 -0000

ros-noetic-hri-rviz (0.1.2-1focal) focal; urgency=high

  * replace hri_msgs::RegionOfInterestStamped by sensor_msgs::RegionOfInterest
    Follows changes in hri_msgs 0.2.0
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Thu, 13 Jan 2022 23:00:00 -0000

ros-noetic-hri-rviz (0.1.1-1focal) focal; urgency=high

  * remove code that relies on too-recent rviz APIs, to ensure compat with melodic/noetic
  * code formatting + PAL copyright
  * add missing dependencies + fix flags
  * Contributors: Séverin Lemaignan

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Wed, 12 Jan 2022 23:00:00 -0000

ros-noetic-hri-rviz (0.1.0-1focal) focal; urgency=high

  * port the plugin to libhri; use colors generated from ID for bbs
  * Multi-Skeleton 3D visualization plugin
  * Faces Plugin as ImageDisplay-like object
    Faces Plugin displaying multiple faces simultaneously, with
    random colors for each bounding box available. Currently,
    we select a random color directly from the RGB color model. In
    the future, we will select a color from the HSB model, fixing
    S and B values to get sufficiently bright and vibrant colors.
  * Contributors: Séverin Lemaignan, Lorenzo Ferrini

 -- Séverin Lemaignan <severin.lemaignan@pal-robotics.com>  Wed, 12 Jan 2022 23:00:00 -0000
